<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN">
<html>
<head>
<title>substr</title>
<link rel="stylesheet" type="text/css" href="../../src/self.css">
<meta name="description"    content="Gibt einen Teilstring aus">
<meta name="keywords"       content="SELFPHP, PHP, String-Funktionen, substr">
<meta name="author"         content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Contributer" content="Matthias Hupp, m.hupp@selfphp3.de">
<meta name="DC.Publisher"   content="Damir Enseleit, mail@selfphp.info">
<meta name="DC.Date"        content="2001-08-24T12:18+01:00">
<meta name="DC.Identifier"  content="http://www.selfphp3.de/funktionsreferenz/string_funktionen/substr.html">
<meta name="DC.Language"    content="de">
<meta name="DC.Rights"      content="../../editorial/index.html">
<meta name="SELF.Firstdate" content="2001-08-24T12:18+01:00">
<meta name="SELF.Version"   content="1">
<meta name="SELF.Pagetype"  content="Information">
<meta name="SELF.Path"      content="SELFPHP == ../../index.php // Funktionsreferenz == ../index.php // String-Funktionen == index.html">
</head>
<body bgcolor="#FFFFFF" text="#000000" link="#AA5522" vlink="#772200" alink="#000000">

<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
<td bgcolor="#FFEEDD" class="nav"><a class="an" name="top"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> <a href="index.html"><b>String-Funktionen</b></a></td>
</tr>
</table>
<table cellpadding="4" cellspacing="0" border="0" width="100%">
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" width="110"><img src="../../src/logo.gif" width="106" height="109" border="0" alt="SEL.html"></td>
    <td bgcolor="#EEEEEE" class="doc" valign="bottom" width="100%"> 
      <h2>substr</h2>
  <tr> 
    <td bgcolor="#EEEEEE" class="doc" valign="top" align="center"> <img src="../../src/dokx.gif" width="30" height="20" vspace="6" border="0" alt="Informationsseite"> 
    </td>
    <td bgcolor="#FFFFFF" valign="top" nowrap> 
      <p> <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#befehl"><b>Befehl</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#version"><b>Version</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beschreibung"><b>Beschreibung</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#beispiel"><b>Beispiel</b></a><br>
        <img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten">&nbsp;<a href="#ausgabe"><b>Ausgabe</b></a><br>
      </p>
    </td>
  </tr>
  <tr>
    <td colspan=2 bgcolor="#EEEEEE" class="doc"><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;</td>
  </tr>
</table>

<h2 class="Sh2"><a class="an" name="befehl">Befehl</a></h2>

<table width="100%" cellpadding=10><tr>
    <td class="xmpcode" bgcolor="#E4EEFF">string <b>substr</b>(string string, 
      int start [, int length])</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="version">Version</a></h2>

<table width="100%" cellpadding=10 height="32">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="20">PHP 3, PHP 4 &gt;= 4.0b1</td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beschreibung">Beschreibung</a></h2>

<table width="100%" cellpadding=10 height="510">
  <tr> 
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <p>Mit substr() k&ouml;nnen Sie sich einen Teilstring aus einem String (string)<br>
        zur&uuml;ckgeben lassen. Dabei geben Sie die Position (start) innerhalb 
        des Strings an,<br>
        an der der Teilstring beginnen soll. Der optionale Parameter length bestimmt 
        die<br>
        L&auml;nge des Teilstrings.<br>
        Sie k&ouml;nnen f&uuml;r die Parameter start und length positive oder 
        negative Werte<br>
        angeben. Bei positiven Werten wird von links nach rechts und bei negativen<br>
        Werten von rechts nach links gez&auml;hlt. Das erste Zeichen (wenn positiv) 
        innerhalb<br>
        des Strings hat die Position Null (siehe 3. Beispiel).</p>
      <p><b>Beispiel 1:</b> substr(&quot;1234567&quot;, 2)<br>
        Es wird alles ab der zweiten Position nach rechts bis zum Ende zur&uuml;ckgegeben 
        -<br>
        also 34567.</p>
      <p><b>Beispiel 4:</b> substr(&quot;1234567&quot;, -2)<br>
        Es wird alles vom &quot;Ende-2&quot; bis zum tats&auml;chlichen Ende des 
        Strings<br>
        zur&uuml;ckgegeben - also 67.</p>
      <p><b>Beispiel 5:</b> substr(&quot;1234567&quot;, -2, 3)<br>
        Es werden 3 Zeichen ab der Position &quot;Ende-2&quot; zur&uuml;ckgegeben. 
        Da aber in diesem<br>
        String nur noch zwei Zeichen zur Verf&uuml;gung stehen, werden nur diese<br>
        zur&uuml;ckgegeben. Es wird nicht wieder am Anfang angefangen! - also 
        67.</p>
      <p><b>Beispiel 8:</b> substr(&quot;1234567&quot;, -6, -5)<br>
        Es wird der Teilstring von &quot;Ende-6&quot; bis zur Position &quot;Ende-5&quot; 
        zur&uuml;ckgegeben -<br>
        also 2.</p>
      <p>Siehe auch:</p>
      <ul>
        <li><a href="strrchr.html">strrchr()</a></li>
        <li><a href="../regulaere_ausdruecke_posix/ereg.html">ereg()</a></li>
      </ul>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>

<h2 class="Sh2"><a class="an" name="beispiel">Beispiel</a></h2>

<table width="100%" cellpadding=10 height="66">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF"> 
      <pre>&lt;?PHP<br>echo &quot;1.) &quot; . substr(&quot;1234567&quot;, 2); <br>echo &quot;&lt;br&gt;&quot;;<br>echo &quot;2.) &quot; . substr(&quot;1234567&quot;, 2, 4); <br>echo &quot;&lt;br&gt;&quot;;<br>echo &quot;3.) &quot; . substr(&quot;1234567&quot;, 0, 7); <br>echo &quot;&lt;br&gt;&quot;;<br>echo &quot;4.) &quot; . substr(&quot;1234567&quot;, -2); <br>echo &quot;&lt;br&gt;&quot;;<br>echo &quot;5.) &quot; . substr(&quot;1234567&quot;, -2, 3); <br>echo &quot;&lt;br&gt;&quot;;<br>echo &quot;6.) &quot; . substr(&quot;1234567&quot;, 4, -4); <br>echo &quot;&lt;br&gt;&quot;;<br>echo &quot;7.) &quot; . substr(&quot;1234567&quot;, 2, -1); <br>echo &quot;&lt;br&gt;&quot;;<br>echo &quot;8.) &quot; . substr(&quot;1234567&quot;, -6, -5); <br>echo &quot;&lt;br&gt;&quot;;<br>?&gt;</pre>
      <p></p>
    </td>
  </tr></table>

<p>&nbsp;</p>

<table bgcolor="#EEEEEE" class="doc" width="100%"><tr><td>
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a><a href="#bottom"><img src="../../src/down.gif" width="14" height="10" border="0" alt="nach unten"></a>&#160;
</td></tr></table>


<h2 class="Sh2"><a class="an" name="ausgabe">Ausgabe</a></h2>

<table width="100%" cellpadding=10 height="40">
  <tr>
    <td class="xmpcode" bgcolor="#E4EEFF" height="57"> 
      <p>1.) 34567<br>
        2.) 3456<br>
        3.) 1234567<br>
        4.) 67<br>
        5.) 67<br>
        6.) <br>
        7.) 3456<br>
        8.) 2</p>
      <p></p>
      <p></p>
    </td>
  </tr></table>


<p>&nbsp;</p>


<table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">
<a href="#top"><img src="../../src/up.gif" width="14" height="10" border="0" alt="nach oben"></a>
</td></tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">weiter:<a href="substr_count.html"><img src="../../src/next.gif" width="10" height="10" border="0" hspace="10" alt="weiter"></a></td>
    <td bgcolor="#FFFFFF"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="substr_count.html"><b>substr_count</b></a> </td>
  </tr>
<tr>
    <td bgcolor="#EEEEEE" class="doc" align="right" width="110">zur&uuml;ck:<a href="strtr.html"><img src="../../src/prev.gif" width="10" height="10" border="0" hspace="10" alt="zur&uuml;ck"></a></td>
    <td bgcolor="#FFFFFF" width="100%"><img src="../../src/dok.gif" width="15" height="10" border="0" alt="Seite"> 
      <a href="strtr.html"><b>strtr</b></a> </td>
</tr>
<tr><td colspan=2 bgcolor="#EEEEEE" class="doc">&#160;</td></tr>
</table><table cellpadding="4" cellspacing="0" border="0" width="100%">
<tr>
    <td bgcolor="#FFEEDD" class="nav"><a class="an" name="bottom"><img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"></a> 
      <a href="../../index.html"><b>SELFPHP</b></a>/<a href="../../navigation/index.html">Navigationshilfen</a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="../index.html"><b>Funktionsreferenz</b></a> <img src="../../src/refkap.gif" width="16" height="13" border="0" alt="Teil von"> 
      <a href="index.html"><b>String-Funktionen</b></a></td>
</tr>
</table>

<p><a class="an" name="bottom">&copy; 2001, 2002, 2003</A> <img src="../../src/mail.gif" width="15" height="10" border="0" alt="E-Mail">&nbsp;<a href="mailto:mail@selfphp.info">Damir Enseleit, mail@selfphp.info</a></p>



</body>
</html>